# xoptional_assembly_adaptor

Defined in `xtensor/optional/xoptional_assembly.hpp`

template<class VEC, class FEC>
class xoptional_assembly_adaptor : public xt::xoptional_assembly_base<xoptional_assembly_adaptor<VEC, FEC>>, public xt::xcontainer_semantic<xoptional_assembly_adaptor<VEC, FEC>>

  Dense multidimensional adaptor holding optional values, optimized for tensor operations.

  The xoptional_assembly_adaptor class implements a dense multidimensional adaptor hoding optional values. It is used to provide an optional expression semantic to two tensor expressions, one holding the value, the hother holding the missing mask.

  Template Parameters:

    - VEC – The closure for the type of expression holding the values.

    - FE – The closure for the type of expression holding the missing mask.

  Constructors

  template<class OVE, class OFE>
  inline xoptional_assembly_adaptor(OVE &&ve, OFE &&fe)

    Constructs an xoptional_assembly_adaptor of the given value and missing mask expressions.

    Parameters:

      - ve – the expression holding the values

      - fe – the expression holding the missing mask

  Extended copy semantic

  template<class E>
  inline self_type &operator=(const xexpression<E> &e)

    The extended assignment operator.